//
$d-xl: map-get($grid-breakpoints, "xl"); // 1420px
$d-x: map-get($grid-breakpoints, "x"); // 1280px
$d-lg: map-get($grid-breakpoints, "lg"); // 992px
$d-md: map-get($grid-breakpoints, "md"); // 768px
$d-sm: map-get($grid-breakpoints, "sm"); // 576px
$d-xs: map-get($grid-breakpoints, "xs"); // 0

$m-qhd: 2560px;
$m-fullhd: 1920px;
$m-mac15: 1440px;
$m-mac13: 1366px;

$m-xl: $d-xl; // 1420px

$m-x: $d-x; //1280px
$m-mac12: $m-x;

$m-ipadpro: map-get($grid-breakpoints, "lg"); // 992px
$m-lg: $m-ipadpro;

$m-ipad: map-get($grid-breakpoints, "md"); // 768px
$m-md: $m-ipad;

$m-mobile: map-get($grid-breakpoints, "sm"); // 576px
$m-sm: $m-mobile;

$m-iphone8p: 414px;
$m-iphonex: 375px;
$m-iphone8: 375px;
$m-iphone5: 320px;

$m-breakpoints: (
	xs: 0,
	fullhd: $m-fullhd,
	qhd: $m-qhd
) !default;

//
$media-tablet: $m-md;
//

@mixin qhd($mtype: 'min', $msize: $m-qhd){
	@if ($mtype == "max") {
		@media (max-width: #{$msize + 1px}) {
			@content;
		}
	}
	@else {
		@media (min-width: #{$msize}) {
			@content;
		}
	}
}

@mixin fullhd($mtype: 'min', $msize: $m-fullhd){
	@if ($mtype == "max") {
		@media (max-width: #{$msize + 1px}) {
			@content;
		}
	}
	@else {
		@media (min-width: #{$msize}) {
			@content;
		}
	}
}

@mixin mac15($mtype: 'min', $msize: $m-mac15){
	@if ($mtype == "max") {
		@media (max-width: #{$msize + 1px}) {
			@content;
		}
	}
	@else {
		@media (min-width: #{$msize}) {
			@content;
		}
	}
}

@mixin mac13($mtype: 'min', $msize: $m-mac13){
	@if ($mtype == "max") {
		@media (max-width: #{$msize + 1px}) {
			@content;
		}
	}
	@else {
		@media (min-width: #{$msize}) {
			@content;
		}
	}
}

@mixin xl($mtype: 'min', $msize: $m-xl){
	@if ($mtype == "max") {
		@media (max-width: #{$msize + 1px}) {
			@content;
		}
	}
	@else {
		@media (min-width: #{$msize}) {
			@content;
		}
	}
}
$m-x: 1200px;
@mixin x($mtype: 'min', $msize: $m-x){
	@if ($mtype == "max") {
		@media (max-width: #{$msize + 1px}) {
			@content;
		}
	}
	@else {
		@media (min-width: #{$msize}) {
			@content;
		}
	}
}

@mixin lg($mtype: 'min', $msize: $m-lg){
	@if ($mtype == "max") {
		@media (max-width: #{$msize + 1px}) {
			@content;
		}
	}
	@else {
		@media (min-width: #{$msize}) {
			@content;
		}
	}
}

@mixin mac12($mtype: 'min', $msize: $m-mac12){
	@if ($mtype == "max") {
		@media (max-width: #{$msize + 1px}) {
			@content;
		}
	}
	@else {
		@media (min-width: #{$msize}) {
			@content;
		}
	}
}

//- >992px
@mixin ipadpro($mtype: 'min', $msize: $m-ipadpro){
	@if ($mtype == "max") {
		@media (max-width: #{$msize + 1px}) {
			@content;
		}
	}
	@else {
		@media (min-width: #{$msize}) {
			@content;
		}
	}
}
//- >992px
@mixin tablet($mtype: 'min', $msize: $m-ipadpro){
	@if ($mtype == "max") {
		@media (max-width: #{$msize + 1px}) {
			@content;
		}
	}
	@else {
		@media (min-width: #{$msize}) {
			@content;
		}
	}
}
//-----------------------------------------------------------------------------
//- >768px
@mixin md($mtype: 'min', $msize: $m-ipad){
	@if ($mtype == "max") {
		@media (max-width: #{$msize + 1px}) {
			@content;
		}
	}
	@else {
		@media (min-width: #{$msize}) {
			@content;
		}
	}
}
//- >768px
@mixin ipad($mtype: 'min', $msize: $m-ipad){
	@if ($mtype == "max") {
		@media (max-width: #{$msize + 1px}) {
			@content;
		}
	}
	@else {
		@media (min-width: #{$msize}) {
			@content;
		}
	}
}
//-----------------------------------------------------------------------------
//- >576px
@mixin sm($mtype: 'min', $msize: $m-sm){
	@if ($mtype == "max") {
		@media (max-width: #{$msize + 1px}) {
			@content;
		}
	}
	@else {
		@media (min-width: #{$msize}) {
			@content;
		}
	}
}
//- >576px mobile-landscape
@mixin mobile($mtype: 'min', $msize: $m-sm){
	@if ($mtype == "max") {
		@media (max-width: #{$msize + 1px}) {
			@content;
		}
	}
	@else {
		@media (min-width: #{$msize}) {
			@content;
		}
	}
}

@mixin iphone8p($mtype: 'min', $msize: $m-iphone8p){
	@if ($mtype == "max") {
		@media (max-width: #{$msize + 1px}) {
			@content;
		}
	}
	@else {
		@media (min-width: #{$msize}) {
			@content;
		}
	}
}

@mixin iphonex($mtype: 'min', $msize: $m-iphonex){
	@if ($mtype == "max") {
		@media (max-width: #{$msize + 1px}) {
			@content;
		}
	}
	@else {
		@media (min-width: #{$msize}) {
			@content;
		}
	}
}

@mixin iphone8($mtype: 'min', $msize: $m-iphone8){
	@if ($mtype == "max") {
		@media (max-width: #{$msize + 1px}) {
			@content;
		}
	}
	@else {
		@media (min-width: #{$msize}) {
			@content;
		}
	}
}

@mixin iphone5($mtype: 'min', $msize: $m-iphone5){
	@if ($mtype == "max") {
		@media (max-width: #{$msize + 1px}) {
			@content;
		}
	}
	@else {
		@media (min-width: #{$msize}) {
			@content;
		}
	}
}